<?php
$tdatareligion_info = array();
$tdatareligion_info[".searchableFields"] = array();
$tdatareligion_info[".ShortName"] = "religion_info";
$tdatareligion_info[".OwnerID"] = "";
$tdatareligion_info[".OriginalTable"] = "religion_info";


$tdatareligion_info[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatareligion_info[".originalPagesByType"] = $tdatareligion_info[".pagesByType"];
$tdatareligion_info[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatareligion_info[".originalPages"] = $tdatareligion_info[".pages"];
$tdatareligion_info[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatareligion_info[".originalDefaultPages"] = $tdatareligion_info[".defaultPages"];

//	field labels
$fieldLabelsreligion_info = array();
$fieldToolTipsreligion_info = array();
$pageTitlesreligion_info = array();
$placeHoldersreligion_info = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsreligion_info["English"] = array();
	$fieldToolTipsreligion_info["English"] = array();
	$placeHoldersreligion_info["English"] = array();
	$pageTitlesreligion_info["English"] = array();
	$fieldLabelsreligion_info["English"]["region"] = "المنطقة";
	$fieldToolTipsreligion_info["English"]["region"] = "";
	$placeHoldersreligion_info["English"]["region"] = "";
	$fieldLabelsreligion_info["English"]["numRegion"] = "القلم";
	$fieldToolTipsreligion_info["English"]["numRegion"] = "";
	$placeHoldersreligion_info["English"]["numRegion"] = "";
	$fieldLabelsreligion_info["English"]["sex"] = "الجنس";
	$fieldToolTipsreligion_info["English"]["sex"] = "";
	$placeHoldersreligion_info["English"]["sex"] = "";
	$fieldLabelsreligion_info["English"]["religion"] = "الطائفة";
	$fieldToolTipsreligion_info["English"]["religion"] = "";
	$placeHoldersreligion_info["English"]["religion"] = "";
	$fieldLabelsreligion_info["English"]["Count_persons_numPers_"] = "عدد الناخبين";
	$fieldToolTipsreligion_info["English"]["Count_persons_numPers_"] = "";
	$placeHoldersreligion_info["English"]["Count_persons_numPers_"] = "";
	$fieldLabelsreligion_info["English"]["religionRegister"] = "Religion Register";
	$fieldToolTipsreligion_info["English"]["religionRegister"] = "";
	$placeHoldersreligion_info["English"]["religionRegister"] = "";
	$pageTitlesreligion_info["English"]["list"] = "الطوائف";
	$pageTitlesreligion_info["English"]["print"] = "الطوائف";
	$pageTitlesreligion_info["English"]["search"] = "الطوائف - Advanced search";
	if (count($fieldToolTipsreligion_info["English"]))
		$tdatareligion_info[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsreligion_info["Arabic"] = array();
	$fieldToolTipsreligion_info["Arabic"] = array();
	$placeHoldersreligion_info["Arabic"] = array();
	$pageTitlesreligion_info["Arabic"] = array();
	$fieldLabelsreligion_info["Arabic"]["region"] = "المنطقة";
	$fieldToolTipsreligion_info["Arabic"]["region"] = "";
	$placeHoldersreligion_info["Arabic"]["region"] = "";
	$fieldLabelsreligion_info["Arabic"]["numRegion"] = "القلم";
	$fieldToolTipsreligion_info["Arabic"]["numRegion"] = "";
	$placeHoldersreligion_info["Arabic"]["numRegion"] = "";
	$fieldLabelsreligion_info["Arabic"]["sex"] = "الجنس";
	$fieldToolTipsreligion_info["Arabic"]["sex"] = "";
	$placeHoldersreligion_info["Arabic"]["sex"] = "";
	$fieldLabelsreligion_info["Arabic"]["religion"] = "الطائفة";
	$fieldToolTipsreligion_info["Arabic"]["religion"] = "";
	$placeHoldersreligion_info["Arabic"]["religion"] = "";
	$fieldLabelsreligion_info["Arabic"]["Count_persons_numPers_"] = "عدد الناخبين";
	$fieldToolTipsreligion_info["Arabic"]["Count_persons_numPers_"] = "";
	$placeHoldersreligion_info["Arabic"]["Count_persons_numPers_"] = "";
	$fieldLabelsreligion_info["Arabic"]["religionRegister"] = "طائفة السجل";
	$fieldToolTipsreligion_info["Arabic"]["religionRegister"] = "";
	$placeHoldersreligion_info["Arabic"]["religionRegister"] = "";
	$pageTitlesreligion_info["Arabic"]["list"] = "الطوائف";
	$pageTitlesreligion_info["Arabic"]["print"] = "الطوائف";
	$pageTitlesreligion_info["Arabic"]["search"] = "الطوائف - بحث متقدم";
	if (count($fieldToolTipsreligion_info["Arabic"]))
		$tdatareligion_info[".isUseToolTips"] = true;
}


	$tdatareligion_info[".NCSearch"] = true;



$tdatareligion_info[".shortTableName"] = "religion_info";
$tdatareligion_info[".nSecOptions"] = 0;

$tdatareligion_info[".mainTableOwnerID"] = "";
$tdatareligion_info[".entityType"] = 0;
$tdatareligion_info[".connId"] = "electiondb_at_ssl_localhost";


$tdatareligion_info[".strOriginalTableName"] = "religion_info";

	



$tdatareligion_info[".showAddInPopup"] = false;

$tdatareligion_info[".showEditInPopup"] = false;

$tdatareligion_info[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatareligion_info[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatareligion_info[".listAjax"] = false;
//	temporary
$tdatareligion_info[".listAjax"] = false;

	$tdatareligion_info[".audit"] = false;

	$tdatareligion_info[".locking"] = false;


$pages = $tdatareligion_info[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatareligion_info[".edit"] = true;
	$tdatareligion_info[".afterEditAction"] = 1;
	$tdatareligion_info[".closePopupAfterEdit"] = 1;
	$tdatareligion_info[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatareligion_info[".add"] = true;
$tdatareligion_info[".afterAddAction"] = 1;
$tdatareligion_info[".closePopupAfterAdd"] = 1;
$tdatareligion_info[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatareligion_info[".list"] = true;
}



$tdatareligion_info[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatareligion_info[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatareligion_info[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatareligion_info[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatareligion_info[".printFriendly"] = true;
}



$tdatareligion_info[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatareligion_info[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatareligion_info[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatareligion_info[".isUseAjaxSuggest"] = true;

$tdatareligion_info[".rowHighlite"] = true;





$tdatareligion_info[".ajaxCodeSnippetAdded"] = false;

$tdatareligion_info[".buttonsAdded"] = false;

$tdatareligion_info[".addPageEvents"] = false;

// use timepicker for search panel
$tdatareligion_info[".isUseTimeForSearch"] = false;


$tdatareligion_info[".badgeColor"] = "6DA5C8";


$tdatareligion_info[".allSearchFields"] = array();
$tdatareligion_info[".filterFields"] = array();
$tdatareligion_info[".requiredSearchFields"] = array();

$tdatareligion_info[".googleLikeFields"] = array();
$tdatareligion_info[".googleLikeFields"][] = "region";
$tdatareligion_info[".googleLikeFields"][] = "numRegion";
$tdatareligion_info[".googleLikeFields"][] = "sex";
$tdatareligion_info[".googleLikeFields"][] = "religion";
$tdatareligion_info[".googleLikeFields"][] = "religionRegister";
$tdatareligion_info[".googleLikeFields"][] = "Count(persons.numPers)";



$tdatareligion_info[".tableType"] = "list";

$tdatareligion_info[".printerPageOrientation"] = 0;
$tdatareligion_info[".nPrinterPageScale"] = 100;

$tdatareligion_info[".nPrinterSplitRecords"] = 40;

$tdatareligion_info[".geocodingEnabled"] = false;










$tdatareligion_info[".pageSize"] = 20;

$tdatareligion_info[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatareligion_info[".strOrderBy"] = $tstrOrderBy;

$tdatareligion_info[".orderindexes"] = array();


$tdatareligion_info[".sqlHead"] = "SELECT region,  	numRegion,  	sex,  	religion,  	religionRegister,  	`Count(persons.numPers)`";
$tdatareligion_info[".sqlFrom"] = "FROM religion_info";
$tdatareligion_info[".sqlWhereExpr"] = "";
$tdatareligion_info[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatareligion_info[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatareligion_info[".arrGroupsPerPage"] = $arrGPP;

$tdatareligion_info[".highlightSearchResults"] = true;

$tableKeysreligion_info = array();
$tdatareligion_info[".Keys"] = $tableKeysreligion_info;


$tdatareligion_info[".hideMobileList"] = array();




//	region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "region";
	$fdata["GoodName"] = "region";
	$fdata["ownerTable"] = "religion_info";
	$fdata["Label"] = GetFieldLabel("religion_info","region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "region";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "name";

				$edata["LookupWhere"] = "id>1";


	
	$edata["LookupOrderBy"] = "name";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareligion_info["region"] = $fdata;
		$tdatareligion_info[".searchableFields"][] = "region";
//	numRegion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numRegion";
	$fdata["GoodName"] = "numRegion";
	$fdata["ownerTable"] = "religion_info";
	$fdata["Label"] = GetFieldLabel("religion_info","numRegion");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numRegion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numRegion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "electioncase";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "numCase";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "numCase";

				$edata["LookupWhere"] = "numCase >0";


	
	$edata["LookupOrderBy"] = "numCase";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareligion_info["numRegion"] = $fdata;
		$tdatareligion_info[".searchableFields"][] = "numRegion";
//	sex
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "sex";
	$fdata["GoodName"] = "sex";
	$fdata["ownerTable"] = "religion_info";
	$fdata["Label"] = GetFieldLabel("religion_info","sex");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "sex";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sex";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "persons";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "sex";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "sex";

	

	
	$edata["LookupOrderBy"] = "sex";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareligion_info["sex"] = $fdata;
		$tdatareligion_info[".searchableFields"][] = "sex";
//	religion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "religion";
	$fdata["GoodName"] = "religion";
	$fdata["ownerTable"] = "religion_info";
	$fdata["Label"] = GetFieldLabel("religion_info","religion");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "religion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "religion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "persons";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "religion";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "religion";

	

	
	$edata["LookupOrderBy"] = "religion";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareligion_info["religion"] = $fdata;
		$tdatareligion_info[".searchableFields"][] = "religion";
//	religionRegister
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "religionRegister";
	$fdata["GoodName"] = "religionRegister";
	$fdata["ownerTable"] = "religion_info";
	$fdata["Label"] = GetFieldLabel("religion_info","religionRegister");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "religionRegister";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "religionRegister";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "persons";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "religionRegister";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "religionRegister";

	

	
	$edata["LookupOrderBy"] = "religionRegister";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareligion_info["religionRegister"] = $fdata;
		$tdatareligion_info[".searchableFields"][] = "religionRegister";
//	Count(persons.numPers)
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Count(persons.numPers)";
	$fdata["GoodName"] = "Count_persons_numPers_";
	$fdata["ownerTable"] = "religion_info";
	$fdata["Label"] = GetFieldLabel("religion_info","Count_persons_numPers_");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "Count(persons.numPers)";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Count(persons.numPers)`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareligion_info["Count(persons.numPers)"] = $fdata;
		$tdatareligion_info[".searchableFields"][] = "Count(persons.numPers)";


$tables_data["religion_info"]=&$tdatareligion_info;
$field_labels["religion_info"] = &$fieldLabelsreligion_info;
$fieldToolTips["religion_info"] = &$fieldToolTipsreligion_info;
$placeHolders["religion_info"] = &$placeHoldersreligion_info;
$page_titles["religion_info"] = &$pageTitlesreligion_info;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["religion_info"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["religion_info"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_religion_info()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "region,  	numRegion,  	sex,  	religion,  	religionRegister,  	`Count(persons.numPers)`";
$proto0["m_strFrom"] = "FROM religion_info";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "region",
	"m_strTable" => "religion_info",
	"m_srcTableName" => "religion_info"
));

$proto6["m_sql"] = "region";
$proto6["m_srcTableName"] = "religion_info";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numRegion",
	"m_strTable" => "religion_info",
	"m_srcTableName" => "religion_info"
));

$proto8["m_sql"] = "numRegion";
$proto8["m_srcTableName"] = "religion_info";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "sex",
	"m_strTable" => "religion_info",
	"m_srcTableName" => "religion_info"
));

$proto10["m_sql"] = "sex";
$proto10["m_srcTableName"] = "religion_info";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "religion",
	"m_strTable" => "religion_info",
	"m_srcTableName" => "religion_info"
));

$proto12["m_sql"] = "religion";
$proto12["m_srcTableName"] = "religion_info";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "religionRegister",
	"m_strTable" => "religion_info",
	"m_srcTableName" => "religion_info"
));

$proto14["m_sql"] = "religionRegister";
$proto14["m_srcTableName"] = "religion_info";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Count(persons.numPers)",
	"m_strTable" => "religion_info",
	"m_srcTableName" => "religion_info"
));

$proto16["m_sql"] = "`Count(persons.numPers)`";
$proto16["m_srcTableName"] = "religion_info";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "religion_info";
$proto19["m_srcTableName"] = "religion_info";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "region";
$proto19["m_columns"][] = "numRegion";
$proto19["m_columns"][] = "sex";
$proto19["m_columns"][] = "religion";
$proto19["m_columns"][] = "religionRegister";
$proto19["m_columns"][] = "Count(persons.numPers)";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "religion_info";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "religion_info";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="religion_info";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_religion_info = createSqlQuery_religion_info();


	
		;

						

$tdatareligion_info[".sqlquery"] = $queryData_religion_info;



$tableEvents["religion_info"] = new eventsBase;
$tdatareligion_info[".hasEvents"] = false;

?>